// marcie command
// marcie --net-file=vilar_bnd_ctl.andl --ctl-file=vilar.ctl --const C1=10,C2=10

// Exercise 7.9 (a) 
// liveness of r1;
AG [ EF [ geneA=1 & _A>=1 ] ];

// liveness of r8;
AG [ EF [ _A>=1 & _R>=1 ] ];

// Exercise 7.9 (b) - reversibility
AG [ EF [ geneA=1 & geneR=1 ] ];

// Exercise 7.9 (c) - token conservation of the two P-invariants
AG [ [geneA=1 & geneA_A=0] | [geneA=0 & geneA_A=1] ];
AG [ [geneR=1 & geneR_A=0] | [geneR=0 & geneR_A=1] ];

// Exercise 7.9 (d) - upper bounds, first shot
EF [_A > C2];
EF [_R > C2];
EF [A_R > C2];

// Exercise 7.9 (d) - correct upper bounds
EF [_A = C2+2];
EF [_A > C2+2];

EF [_R = 2*C2];
EF [_R > 2*C2]; 

